'use strict';

var electron = require('electron');
var ipc = electron.ipcRenderer;

ipc.on('deviceFound', function (e, packet) {
  console.log(JSON.stringify(packet));
});

document.body.addEventListener('click', function (ev) {
  if (ev.target.classList.contains('query-devices')) {
    ipc.send('startDeviceScan');
  }
});
